Skip to main content
`Ctrl`+`K`

# PetscLogGetDefaultHandler

Get the default log handler if it is running.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogGetDefaultHandler(PetscLogHandler *handler)

Not collective

## Output Parameter

- handler - the default `PetscLogHandler`, or `NULL` if it is not running.

## Notes

The default handler is started with `PetscLogDefaultBegin()`, if the options flags `-log_all` or `-log_view` is given without arguments, or for `-log_view :output:format` if `format` is not `ascii_xml` or `ascii_flamegraph`.

## See Also

Profiling

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages